petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscSFSetType

Set the PetscSF communication implementation

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFSetType(PetscSF sf,PetscSFType type)

Collective on PetscSF

### Input Parameters

| sf | - the PetscSF context
| type | - a known method

### Options Database Key

-sf_type <type> -Sets the method; use -help for a list of available methods (for instance, window, pt2pt, neighbor)

### Notes

See "include/petscsf.h" for available methods (for instance)

| PETSCSFWINDOW | - MPI-2/3 one-sided
| PETSCSFBASIC | - basic implementation using MPI-1 two-sided

### See Also

PetscSFType, PetscSFCreate()

### Level

intermediate

### Location

src/vec/is/sf/interface/sf.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages